Badger::Data::Type::Class(3pm)

NAME
Badger::Data::Type::Class - metaprogramming module for data type classes

SYNOPSIS

DESCRIPTION
This module implements a subclass of Badger::Class for creating data types.

METHODS
This module implements the following methods in addition to those inherited from the Badger::Class base class.

  type($type)
This method implements the "type" import hook for specifying the base data type.

  size($size)
This method implements the "type" import hook for specifying the data size. NOTE: subject to change

  facets($facets)
This method implements the "facets" import hook for specifying validation facets for a data type.

IMPORT HOOKS
The following hooks can be specified when the module is imported via "use". They correspond directly to the methods documented above.

  type

  size

  facets

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet.